:root {
    --blue: #0000FF;
    /* Pure blue */
    --navy-blue: #000080;
    /* Navy blue */
    --white: #FFFFFF;
    /* White */
    --black: #000000;
    /* Black */
    --deep-dark-blue: #001F3F;
    /* Very dark blue */
    --cyan: #00FFFF;
    /* Cyan */
    --cream-warm: #fff8e7;
    --cream-dark: #f0e6d2;
    --cream-warm-dark: #e8d9b5;
}

* {

    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'poppins', sans-serif;

    a {
        text-decoration: none;
    }

}

.border-divider {
    height: 1px;
    border: 0;
    margin: 0;
    padding: 0;
    background: var(--white);
    opacity: 1;
}


/* header starts here  */
.main-header {
    margin-bottom: 0;
    height: 60%;
    width: auto;
    background-image: url('../IMG/tree\ bg.jpg');
    background-color: var(--deep-dark-blue);
    background-blend-mode: multiply;
    background-size: contain;

    .navigation-bar {
        margin-left: 20px;
        padding: 0.9rem;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    ul {
        display: flex;
        list-style: none;
        color: var(--white);
        padding-right: 10rem;
        font-size: 1.5rem
    }

    ul li {
        margin: 0 1rem;
        padding-right: 1rem;
    }

    ul li a {
        text-decoration: none;
        color: var(--white);
    }

    ul li a:hover {
        color: var(--cyan);
    }

    .logo img {
        height: 5rem;
        width: auto;
    }

}

/* header section ends  */

/* hero starts here  */
.hero-section {
    background-image: url("../IMG/service\ heri.jpg");
    background-color: var(--deep-dark-blue);
    background-blend-mode: color-burn;
    color: var(--cream-warm);
}

.hero-title {
    padding: 60px;

    h6 {
        color: var(--cyan);
        letter-spacing: 3px;
        margin-bottom: 20px;
    }

    h6::before {
        content: "";
        display: inline-block;
        width: 50px;
        height: 6px;
        background: linear-gradient(to right, var(--deep-dark-blue), var(--cream-warm));
        margin: auto 5px;
        vertical-align: middle;
    }

    h3 {
        font-size: 3rem;

        span {
            color: var(--cyan);
        }
    }

    p {
        margin-top: 20px;
        font-size: 1.5rem;
    }
}

.abt-us {
    background-color: var(--cream-warm-dark);
    color: var(--deep-dark-blue);

    h3 {
        padding: 2rem;
        text-align: center;
        font-size: 3rem;
    }

    .p {
        text-align: center;
        margin-top: 0;
        font-size: 1.3rem;
        font-weight: bold;
    }
}

.abt-us-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
    gap: 30px;
    padding: 30px 20px;
}

.abt-us-card {
    height: 32rem;
    padding: 20px;
    text-align: center;
    background-color: var(--white);
    box-shadow: 0.5px 10px var(--cream-warm-dark);
    transition: transform 0.3s ease, box-shadow 0.3s ease;

    .bi {
        font-size: 4rem;
        color: var(--deep-dark-blue);
        margin-top: 20px;
    }

    h4 {
        font-size: 1.5rem;
        font-weight: bolder;
        margin-top: 15px;
        padding: 10px;
    }

    p {
        font-size: 1rem;
        font-weight: bold;

        .more-text {
            display: none;
        }

        .read-toggle {
            color: var(--deep-dark-blue);
            font-weight: 600;
            cursor: pointer;
            text-decoration: underline;
            margin-left: 4px;
        }
    }

    .abt-us-card:hover {
        transform: translateY(-20px);

    }
}

.how {
    background-color: var(--deep-dark-blue);
    color: var(--white);

    h5 {
        color: var(--cyan);
        text-align: center;
        padding: 30px;
        font-size: 0.7rem;
    }

    h5::before {
        content: "";
        display: inline-block;
        width: 50px;
        height: 6px;
        background: linear-gradient(to right, var(--deep-dark-blue), var(--cream-warm));
        margin: auto 5px;
        vertical-align: middle;
    }

    h3 {
        text-align: center;
        margin-bottom: 10px;
        margin-top: -10px;
        font-size: 1.7rem;
    }

    p {
        text-align: center;
    }
}

.algorithm {
    align-items: center;
    text-align: center;
    padding: 30px;

    .list-grid {
        display: block;
        grid-template-columns: auto;

        .list-card {
            h6 {
                font-size: 0.7rem;
                color: var(--cyan)
            }

            .bi {
                font-size: 4.5rem;
                color: rgba(5, 1, 58, 1);
            }

            h4 {
                font-size: 1.5rem;
                padding: 5px;
                font-weight: bold;
            }

            p {
                font-size: 0.9rem;
            }
        }
    }
}

.why {
    background-color: var(--cream-warm);
    background-size: cover;
    color: var(--deep-dark-blue);
    height: 25rem;
    margin: 0;
    width: 100%;

    h6 {
        font-size: 0.75rem;
        padding: 30px;
        color: var(--black);
    }

    h6::before {
        content: "";
        display: inline-block;
        width: 50px;
        height: 6px;
        background: linear-gradient(to right, var(--deep-dark-blue), var(--cream-warm));
        margin: auto 5px;
        vertical-align: middle;
    }

    h4 {
        font-size: 1.5rem;
        color: var(--black);
        padding-bottom: 30px;
        padding: 30px;
    }

    ul {
        list-style: none;
    }

    ul li {
        padding: 10px;
        font-size: 1rem;
    }
}

.not-sure {
    background-image: url('../IMG/service\ hero.jpg');
    background-color: var(--deep-dark-blue);
    background-blend-mode: color-burn;
    color: var(--white);
    text-align: center;
    padding: 30px;
    height: 20rem;

    h6 {
        font-size: 1rem;
        font-weight: bolder;
        margin-bottom: 20px;
        color: var(--cyan);
        word-spacing: 5px;
        letter-spacing: 5px;
    }

    h6::before {
        content: "";
        display: inline-block;
        width: 50px;
        height: 6px;
        background: linear-gradient(to right, var(--deep-dark-blue), var(--cream-warm));
        margin: auto 5px;
        vertical-align: middle;
    }

    p {
        font-size: 2rem;
        margin-bottom: 50px;
    }

    a {
        padding: 20px;
        border-radius: 5px;
        border-color: none;
        background-color: var(--cream-warm);
        font-size: 1.5rem;
        list-style: none;
        text-decoration: none;
        color: var(--black);
        margin-bottom: 50px;
    }

    a:hover {
        background-color: var(--black);
        color: var(--cyan);
    }
}


/* footer here  */

.main-footer {
    padding: 90px 0 30px;
    color: var(--white);
    background-image: url(../IMG/tree\ bg.jpg);
    background-color: var(--deep-dark-blue);
    background-blend-mode: multiply;
    background-size: cover;
    position: relative;
    width: 100%;
    line-height: 20px;

    .logo {
        height: 50px;
        width: auto;
    }

    .row {
        padding: 10px 15px 5px;
        justify-content: flex-start;
        margin: auto;
        gap: 10px;

        display: flex;
    }

    .col {
        padding: 5px;

        p {
            color: var(--cream-warm);
        }

        h5 {
            color: var(--cream-warm);
            font-size: 1.5rem;
        }

        ul {
            list-style: none;
            text-decoration: none;
            color: var(--cream-warm);
            padding: 0;
        }

        ul li {
            margin-bottom: 10px;
            padding: 0;
        }

        ul li:hover {
            color: var(--cyan);
            cursor: pointer;
        }

        a {
            list-style: none;
            text-decoration: none;
            color: var(--cream-warm);
        }

        a:hover {
            color: var(--cyan);
            cursor: pointer;
        }

        .bi {
            color: var(--cyan);
            font-size: 1.5rem;
            margin-right: 10px;
        }

        .social-icons i {
            color: var(--cream-warm);
            text-decoration: none;
            font-size: 2.5rem;
            gap: 10px;
        }

        .social-icons i:hover {
            color: var(--cyan);
            cursor: pointer;
        }

        &:nth-child(2),
        &:nth-child(3) {
            flex-basis: -15%;
        }
    }

    hr {
        width: 100%;
        border: 2px solid var(--cyan);
        margin: 20px auto;
    }

    .copyright {
        margin: 0;
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 20px 40px;
    }

    .copyright-links {
        display: flex;
        gap: 20px;
    }

    .copyright-links p:hover {
        color: var(--cyan);
        cursor: pointer;
    }

}